EC_HTABLE_DUP(3)

NAME
ec_htable_dup - Duplicate a hash table.

SYNOPSIS
#include <ecoli/htable.h>

struct ec_htable * ec_htable_dup(
    const struct ec_htable   *htable   /* The hash table. */
);

DESCRIPTION

A reference counter is shared between the clones of hash tables so that the objects are freed only when the last reference is destroyed.

RETURN VALUE

The duplicated hash table, or NULL on error (errno is set).

SEE ALSO

ec_htable_iter_get_key(3), ec_htable_iter_get_val(3), ec_htable_iter_next(3), ec_htable_has_key(3), ec_htable_len(3), ec_htable(3), ec_htable_force_seed(3), ec_htable_iter_get_key_len(3), ec_htable_dump(3), ec_htable_del(3), ec_htable_set(3), ec_htable_get(3), ec_htable_free(3), ec_htable_iter(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.